published on Thursday, Jun 25, 2026 by Pulumi
published on Thursday, Jun 25, 2026 by Pulumi
This resource provides the Data File resource in Oracle Cloud Infrastructure Apm Config service. Api doc link for the resource: https://docs.oracle.com/iaas/api/#/en/apm-config/latest/DataFile
Example terraform configs related to the resource : https://github.com/oracle/terraform-provider-oci/tree/master/examples/apm/apm_config
Creates a new data file or replaces an existing one with the same name and type.
Create DataFile Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new DataFile(name: string, args: DataFileArgs, opts?: CustomResourceOptions);@overload
def DataFile(resource_name: str,
args: DataFileArgs,
opts: Optional[ResourceOptions] = None)
@overload
def DataFile(resource_name: str,
opts: Optional[ResourceOptions] = None,
apm_domain_id: Optional[str] = None,
apm_type: Optional[str] = None,
data_file_name: Optional[str] = None,
content: Optional[str] = None,
content_disposition: Optional[str] = None,
content_encoding: Optional[str] = None,
content_language: Optional[str] = None,
content_md5: Optional[str] = None,
content_type: Optional[str] = None,
metadata: Optional[Mapping[str, str]] = None,
source: Optional[str] = None)func NewDataFile(ctx *Context, name string, args DataFileArgs, opts ...ResourceOption) (*DataFile, error)public DataFile(string name, DataFileArgs args, CustomResourceOptions? opts = null)
public DataFile(String name, DataFileArgs args)
public DataFile(String name, DataFileArgs args, CustomResourceOptions options)
type: oci:ApmConfig:DataFile
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "oci_apmconfig_datafile" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args DataFileArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args DataFileArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args DataFileArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args DataFileArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args DataFileArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var dataFileResource = new Oci.ApmConfig.DataFile("dataFileResource", new()
{
ApmDomainId = "string",
ApmType = "string",
DataFileName = "string",
Content = "string",
ContentDisposition = "string",
ContentEncoding = "string",
ContentLanguage = "string",
ContentMd5 = "string",
ContentType = "string",
Metadata =
{
{ "string", "string" },
},
Source = "string",
});
example, err := apmconfig.NewDataFile(ctx, "dataFileResource", &apmconfig.DataFileArgs{
ApmDomainId: pulumi.String("string"),
ApmType: pulumi.String("string"),
DataFileName: pulumi.String("string"),
Content: pulumi.String("string"),
ContentDisposition: pulumi.String("string"),
ContentEncoding: pulumi.String("string"),
ContentLanguage: pulumi.String("string"),
ContentMd5: pulumi.String("string"),
ContentType: pulumi.String("string"),
Metadata: pulumi.StringMap{
"string": pulumi.String("string"),
},
Source: pulumi.String("string"),
})
resource "oci_apmconfig_datafile" "dataFileResource" {
apm_domain_id = "string"
apm_type = "string"
data_file_name = "string"
content = "string"
content_disposition = "string"
content_encoding = "string"
content_language = "string"
content_md5 = "string"
content_type = "string"
metadata = {
"string" = "string"
}
source = "string"
}
var dataFileResource = new DataFile("dataFileResource", DataFileArgs.builder()
.apmDomainId("string")
.apmType("string")
.dataFileName("string")
.content("string")
.contentDisposition("string")
.contentEncoding("string")
.contentLanguage("string")
.contentMd5("string")
.contentType("string")
.metadata(Map.of("string", "string"))
.source("string")
.build());
data_file_resource = oci.apmconfig.DataFile("dataFileResource",
apm_domain_id="string",
apm_type="string",
data_file_name="string",
content="string",
content_disposition="string",
content_encoding="string",
content_language="string",
content_md5="string",
content_type="string",
metadata={
"string": "string",
},
source="string")
const dataFileResource = new oci.apmconfig.DataFile("dataFileResource", {
apmDomainId: "string",
apmType: "string",
dataFileName: "string",
content: "string",
contentDisposition: "string",
contentEncoding: "string",
contentLanguage: "string",
contentMd5: "string",
contentType: "string",
metadata: {
string: "string",
},
source: "string",
});
type: oci:ApmConfig:DataFile
properties:
apmDomainId: string
apmType: string
content: string
contentDisposition: string
contentEncoding: string
contentLanguage: string
contentMd5: string
contentType: string
dataFileName: string
metadata:
string: string
source: string
DataFile Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The DataFile resource accepts the following input properties:
- Apm
Domain stringId - (Updatable) The APM Domain ID the request is intended for.
- Apm
Type string - (Updatable) The type of the data file.
- Data
File stringName - The name of the data file.
- Content string
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - Content
Disposition string (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- Content
Encoding string - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- Content
Language string - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- Content
Md5 string (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- Content
Type string (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- Metadata Dictionary<string, string>
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- Source string
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined.
- Apm
Domain stringId - (Updatable) The APM Domain ID the request is intended for.
- Apm
Type string - (Updatable) The type of the data file.
- Data
File stringName - The name of the data file.
- Content string
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - Content
Disposition string (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- Content
Encoding string - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- Content
Language string - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- Content
Md5 string (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- Content
Type string (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- Metadata map[string]string
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- Source string
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined.
- apm_
domain_ stringid - (Updatable) The APM Domain ID the request is intended for.
- apm_
type string - (Updatable) The type of the data file.
- data_
file_ stringname - The name of the data file.
- content string
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - content_
disposition string (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- content_
encoding string - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- content_
language string - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- content_
md5 string (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- content_
type string (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- metadata map(string)
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- source string
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined.
- apm
Domain StringId - (Updatable) The APM Domain ID the request is intended for.
- apm
Type String - (Updatable) The type of the data file.
- data
File StringName - The name of the data file.
- content String
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - content
Disposition String (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- content
Encoding String - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- content
Language String - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- content
Md5 String (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- content
Type String (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- metadata Map<String,String>
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- source String
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined.
- apm
Domain stringId - (Updatable) The APM Domain ID the request is intended for.
- apm
Type string - (Updatable) The type of the data file.
- data
File stringName - The name of the data file.
- content string
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - content
Disposition string (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- content
Encoding string - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- content
Language string - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- content
Md5 string (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- content
Type string (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- metadata {[key: string]: string}
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- source string
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined.
- apm_
domain_ strid - (Updatable) The APM Domain ID the request is intended for.
- apm_
type str - (Updatable) The type of the data file.
- data_
file_ strname - The name of the data file.
- content str
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - content_
disposition str (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- content_
encoding str - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- content_
language str - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- content_
md5 str (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- content_
type str (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- metadata Mapping[str, str]
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- source str
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined.
- apm
Domain StringId - (Updatable) The APM Domain ID the request is intended for.
- apm
Type String - (Updatable) The type of the data file.
- data
File StringName - The name of the data file.
- content String
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - content
Disposition String (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- content
Encoding String - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- content
Language String - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- content
Md5 String (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- content
Type String (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- metadata Map<String>
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- source String
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined.
Outputs
All input properties are implicitly available as output properties. Additionally, the DataFile resource produces the following output properties:
- Content
Length int - Id string
- The provider-assigned unique ID for this managed resource.
- Time
Last stringModified
- Content
Length int - Id string
- The provider-assigned unique ID for this managed resource.
- Time
Last stringModified
- content_
length number - id string
- The provider-assigned unique ID for this managed resource.
- time_
last_ stringmodified
- content
Length Integer - id String
- The provider-assigned unique ID for this managed resource.
- time
Last StringModified
- content
Length number - id string
- The provider-assigned unique ID for this managed resource.
- time
Last stringModified
- content_
length int - id str
- The provider-assigned unique ID for this managed resource.
- time_
last_ strmodified
- content
Length Number - id String
- The provider-assigned unique ID for this managed resource.
- time
Last StringModified
Look up Existing DataFile Resource
Get an existing DataFile resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: DataFileState, opts?: CustomResourceOptions): DataFile@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
apm_domain_id: Optional[str] = None,
apm_type: Optional[str] = None,
content: Optional[str] = None,
content_disposition: Optional[str] = None,
content_encoding: Optional[str] = None,
content_language: Optional[str] = None,
content_length: Optional[int] = None,
content_md5: Optional[str] = None,
content_type: Optional[str] = None,
data_file_name: Optional[str] = None,
metadata: Optional[Mapping[str, str]] = None,
source: Optional[str] = None,
time_last_modified: Optional[str] = None) -> DataFilefunc GetDataFile(ctx *Context, name string, id IDInput, state *DataFileState, opts ...ResourceOption) (*DataFile, error)public static DataFile Get(string name, Input<string> id, DataFileState? state, CustomResourceOptions? opts = null)public static DataFile get(String name, Output<String> id, DataFileState state, CustomResourceOptions options)resources: _: type: oci:ApmConfig:DataFile get: id: ${id}import {
to = oci_apmconfig_datafile.example
id = "${id}"
}
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Apm
Domain stringId - (Updatable) The APM Domain ID the request is intended for.
- Apm
Type string - (Updatable) The type of the data file.
- Content string
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - Content
Disposition string (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- Content
Encoding string - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- Content
Language string - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- Content
Length int - Content
Md5 string (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- Content
Type string (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- Data
File stringName - The name of the data file.
- Metadata Dictionary<string, string>
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- Source string
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined. - Time
Last stringModified
- Apm
Domain stringId - (Updatable) The APM Domain ID the request is intended for.
- Apm
Type string - (Updatable) The type of the data file.
- Content string
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - Content
Disposition string (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- Content
Encoding string - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- Content
Language string - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- Content
Length int - Content
Md5 string (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- Content
Type string (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- Data
File stringName - The name of the data file.
- Metadata map[string]string
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- Source string
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined. - Time
Last stringModified
- apm_
domain_ stringid - (Updatable) The APM Domain ID the request is intended for.
- apm_
type string - (Updatable) The type of the data file.
- content string
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - content_
disposition string (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- content_
encoding string - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- content_
language string - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- content_
length number - content_
md5 string (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- content_
type string (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- data_
file_ stringname - The name of the data file.
- metadata map(string)
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- source string
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined. - time_
last_ stringmodified
- apm
Domain StringId - (Updatable) The APM Domain ID the request is intended for.
- apm
Type String - (Updatable) The type of the data file.
- content String
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - content
Disposition String (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- content
Encoding String - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- content
Language String - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- content
Length Integer - content
Md5 String (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- content
Type String (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- data
File StringName - The name of the data file.
- metadata Map<String,String>
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- source String
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined. - time
Last StringModified
- apm
Domain stringId - (Updatable) The APM Domain ID the request is intended for.
- apm
Type string - (Updatable) The type of the data file.
- content string
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - content
Disposition string (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- content
Encoding string - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- content
Language string - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- content
Length number - content
Md5 string (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- content
Type string (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- data
File stringName - The name of the data file.
- metadata {[key: string]: string}
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- source string
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined. - time
Last stringModified
- apm_
domain_ strid - (Updatable) The APM Domain ID the request is intended for.
- apm_
type str - (Updatable) The type of the data file.
- content str
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - content_
disposition str (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- content_
encoding str - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- content_
language str - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- content_
length int - content_
md5 str (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- content_
type str (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- data_
file_ strname - The name of the data file.
- metadata Mapping[str, str]
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- source str
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined. - time_
last_ strmodified
- apm
Domain StringId - (Updatable) The APM Domain ID the request is intended for.
- apm
Type String - (Updatable) The type of the data file.
- content String
- The object to upload to the object store. Cannot be defined if
sourceis defined. Either one should be defined. - content
Disposition String (Updatable) Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename:
attachment; filename="example.txt"- content
Encoding String - (Updatable) Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.
- content
Language String - (Updatable) Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.
- content
Length Number - content
Md5 String (Updatable) Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"
- content
Type String (Updatable) Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is
application/octet-stream.This value can be used by recipients to determine how to interpret or render the content.
- data
File StringName - The name of the data file.
- metadata Map<String>
(Updatable) Optional user-defined metadata key and value.
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- source String
- An absolute path to a file on the local system. Cannot be defined if
contentis defined. Either one should be defined. - time
Last StringModified
Import
DataFiles can be imported using the id, e.g.
$ pulumi import oci:ApmConfig/dataFile:DataFile test_data_file "dataFiles/{dataFileName}/apmDomainId/{apmDomainId}/apmType/{apmType}"
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
published on Thursday, Jun 25, 2026 by Pulumi